### Class

# Phosh PluginLoader

since: 0

#### Description

    final class Phosh.PluginLoader : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- GObject

#### Constructors

###### phosh_plugin_loader_new

No description available.

since: 0

#### Instance methods

###### phosh_plugin_loader_get_extension_point

No description available.

since: 0

###### phosh_plugin_loader_get_plugin_dirs

No description available.

since: 0

###### phosh_plugin_loader_load_plugin

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.PluginLoader:extension-point

The name of the extension point to load plugins for.

since: 0

###### Phosh.PluginLoader:plugin-dirs

The directory to search for plugins.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshPluginLoaderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.